<?xml version="1.0" encoding="utf-8"?>
<database
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="./techniky.xsd"
>

    <!-- ============== -->
    <!-- Definice Pojmu -->


    <style-list>
        <style id="ninpo" name="Ninpo" />
        <style id="katon-style" name="Katon" />
        <style id="bukijutsu-style" name="Bukijutsu" />
        <style id="goken-style" name="Goken" />
        <style id="hachimon-style" name="Hachimon" />
    </style-list>


    <hit-type-list>
        <hit-type id="ruka" label="Zasah beze zbrane">
            Ovracenou stranu ruky mu naloz. Ale ne pesti!
        </hit-type>
        <hit-type id="zbran" label="Zasah zbrani">
            Mlaskni ho klackem po palici!
        </hit-type>
        <hit-type id="ryze" label="Zasah ryzi">
            uděleje mu dobrou rýži a nakrm ho a udus ho jí.
        </hit-type>
        <hit-type id="koule" label="Zasah kouli">
            Hod koulo
        </hit-type>
        <hit-type id="pohled" label="Zasah kouli">
            Hod pohledem
        </hit-type>
        <batch id="any">
            <hit-type ref="zbran" />
            <hit-type ref="ruka" />
            <hit-type ref="ryze" />
            <hit-type ref="koule" />
        </batch>
    </hit-type-list>


    <battle-keyword-list>
        <offensive id="odhozeni" label="Odhození" alias="heslo-vitr">
            Letis 10 kroku.
        </offensive>
        <offensive id="zmateni" label="Zmatení" alias="heslo-ohen">
            TODO
        </offensive>
        <offensive id="roztristeni" label="Zrtříštění" alias="heslo-zeme">
            Roztříští končetinu. Až do vyléčení nelze používat
        </offensive>
        <offensive id="ochromeni" label="Ochromení" alias="heslo-voda">
            Do konce boje nelze používat končetinu.
        </offensive>
        <offensive id="paralyza" label="Paralýza" alias="heslo-blesk">
            Nelze se hybat, fyzicky utocit, skladat pecete (obecne platit ceny ktere jsou neinstatni).
            Lze tedy sesilat jen instatni techniky, a davat zasahy pohledem nebo na sebe.
        </offensive>

        <offensive id="plus-1-dmg" label="Posílení o 1" alias="plus-1-dmg">
            Přidá 1 k poškození.
        </offensive>
        <offensive id="plus-2-dmg" label="Posílení o 2" alias="plus-2-dmg">
            Přidá 2 k poškození.
        </offensive>
        <offensive id="plus-3-dmg" label="Posílení o 3" alias="plus-3-dmg">
            Přidá 3 k poškození.
        </offensive>
        <offensive id="plus-4-dmg" label="Posílení o 4" alias="plus-4-dmg">
            Přidá 4 k poškození.
        </offensive>
     
        <defensive id="uhyb" label="Úhyb" alias="uhyb">
            Uhni!
        </defensive>
    </battle-keyword-list>


    <attribute-list>
        <attribute id="eyes" label="Rozsirene oci">
            vidis vsechno
        </attribute>
        <attribute id="health" label="Život">
            kdyz dojdou tak umres
        </attribute>
        <attribute id="stinove" label="Stínové životy">
            Stínové životy. Fungují jako normální životy,
            ale jdou léčit pouze specifickými technikami,
            a při zranění se spotřebují jako první.
        </attribute>
        <attribute id="chakra" label="Chakra">
            Mana
        </attribute>
        <attribute id="weapon-length" label="Maximální délka zbraně">
            Umožňuje ti používat delší zbraně.
            Měřeno v centimetrech, počítá se nejdelší naměřitelný rozměr.
            Nezáleží na typu zbraně.
        </attribute>
        <attribute id="stinova-koncetina" label="Stinové končetina">
            Stínové končetiny na techniky
        </attribute>
    </attribute-list>
    

    <attribute-change-list>
        <attribute-change id="add-health" label="Zivoty navic" attribute="health">
            Přidá životy k maximu.
        </attribute-change>
        <attribute-change id="add-health-shadow" label="Stínové životy" attribute="health">
            Přidá stínové životy.
            Fungují jako normální životy, ale: nejdou doléčit a odebírají se jako první.
        </attribute-change>
        <attribute-change id="add-eyes" label="Rozsirene oci" attribute="eyes">
            Přidej oči
        </attribute-change>
        <attribute-change id="add-stinova-koncetina" label="Přidá stinové končetiny" attribute="stinova-koncetina">
            Přidá stinové končetiny
        </attribute-change>
        <attribute-change id="weapon-length-increase" label="Přidej maximální délku zbraně" attribute="weapon-length">
            Přidej délku zbraně.
        </attribute-change>
    </attribute-change-list>


    <cost-list>
        <cost-numeric id="cost-chakra" label="Chakra">
            Zaplat chakru
        </cost-numeric>
        <cost-numeric id="cost-zivoty" label="Životy">
            Zaplat životy (nikoli stínové)
        </cost-numeric>
        <cost-numeric id="cost-zivoty-any" label="Životy libovolné">
            Zaplat libovolné životy (stínové i normální)
        </cost-numeric>
        <cost-numeric id="cost-pecet" label="Chakra">
            Sloz libovolne pecete
        </cost-numeric>
        <cost-other id="cost-zbran" label="Zniceni zbrane">
            Prijdes o klacek
        </cost-other>
        <cost-other id="cost-sebevrazda" label="Zabij se">
            Na konci efektu umres dorazenim.
        </cost-other>
        <cost-numeric id="cost-koncetina" label="Roztříštění končetiny">
            Roztříští ti to končetinu a nemůžeě ji používat.
        </cost-numeric>
    </cost-list>


    <limitation-list>
        <limitation id="limit-chodit" label="Chodit">
            Nesmis se pohnout z mista ani jednou nohou.
        </limitation>
        <limitation id="limit-shadow-health-zero" label="Chodit">
            Skončí jakmile d
        </limitation>
        <limitation id="limit-caj" label="Čajíčkuj">
            Nesmíš pít čaje
        </limitation>
        <limitation-batch id="limit-lv1">
            <limitation ref="limit-caj" />
            <limitation ref="limit-chodit" />
        </limitation-batch>
    </limitation-list>


    <action-list>
        <action-plaintext id="past-1" label="Vybušná formace">
            Udělej past sfmapfomegrigmwpo
        </action-plaintext>
        <action-battle-keyword id="akce-past" label="Poloz past">
            Poloz karticku pasti, a natahni provazek s rolnickou
        </action-battle-keyword>
        <action-basic id="action-oprav-koncetinu-other" label="Naprav roztristenou koncetiku jiného">
            Oprav 1 roztříštěnou končetinu jiné postavy
        </action-basic>
        <action-basic id="action-oprav-koncetinu-self" label="Naprav roztristenou koncetiku sebe">
            Oprav 1 svoji vlastní roztříštěnou končetinu
        </action-basic>
        <action-numeric id="action-zivoty" label="Vyleč životy" value-label="Počet vyléčených životů">
            Vyléčí životy (nikoli stínové). Nejde jít přes maximum životů.
        </action-numeric>
        <action-numeric id="action-stinove" label="Vyleč stínové životy" value-label="Počet vyléčených stínových životů">
            Vyléčí stínové životy. Nejde jít přes maximum stínových životů.
        </action-numeric>
        <action-numeric id="action-zamek" label="Vyroba zamku" value-label="Uroven zamku">
            Vyrob a umisti zamek s danou urovni.
        </action-numeric>
    </action-list>



    <!-- =============== -->
    <!-- Definice quirku -->

    <quirk-list>
        <quirk value="2" id="aburame-klan">
            <name>Aburame klan</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Klan Aburame je jedním ze čtyř urozených rodin Listové vesnice. Při narození je
                    členům tohoto klanu nabídnuto několik speciálních druhů hmyzu, kteří zahnízdí těsně
                    pod kůží v jejich těle. Od tohoto okamžiku bude tento hmyz žít v symbióze se svým
                    hostitelem. Díky tomu se členové klanu vyznačují tím, že používají hmyz jako zbraně.</flavour>
            </village>
        </quirk>
        <quirk value="4" id="casticovy-styl" rarity="rare" kekkei-genkai="true">
            <name>Částicový styl</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Částicový styl je unikátní vrozená schopnost uživatele transformovat chakru na
                    kombinaci elementů země, větru a ohně. Kvůli naprosté destruktivitě tohoto jutsu
                    jsou jeho uživatelé obvykle v boji bezkonkurenční a mohou snadno odrazit nespočet
                    nepřátel. Jedním z nejvýznamnějších uživatelů je třetí Tsuchikage.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="cloth-binding">
            <name>Cloth binding</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Uživatel pomocí obří role látky pevně zabalí zamýšleného protivníka, zcela jej
                    znehybní, čímž mu zabrání v pohybu nebo v použití jakýchkoliv technik. Schopnost
                    sama o sobě je všestranná, protože jakmile je dokončena, lze na svázané oběti přidat
                    další pečetě, což zabrání tomu, aby byly dokonce vyvolány.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="black-lightning" rarity="rare">
            <name>Black lightning</name>
            <playstyle> TODO </playstyle>
            <village ref="cloud">
                <flavour>Speciální forma bleskové transformace, kdy místo běžné elektřiny uživatel
                    vytváří elektřinu černé barvy. V minulosti využívaná třetím a pátým raikage (Darui).
                    Oba tito uživatelé měli na rameni vytetovaný znak pro blesk (雷, kaminari).</flavour>
            </village>
        </quirk>
        <quirk value="3" id="svetelny-styl">
            <name>Světelný styl</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Light Release, také známý jako Hikariton, je jeden z nejvzácnějších kekkei
                    genkai. Tento prvek se skládá z kombinace elementu vzduchu a ohně. Ninjové Light
                    Release jsou schopni vytvářet a ovládat světlo, což jim umožňuje mít širokou škálu
                    schopností, jako je například oslepení nepřátel, vytváření laserů nebo dokonce
                    teleportace pomocí světelných portálů.</flavour>
            </village>
            <village ref="cloud">
                <flavour>Světelný styl, také známý jako Hikariton, je jeden z nejvzácnějších vrozených
                    schopností, které dovolují uživateli transformovat chakru na kombinaci elementů
                    vzduchu a blesku. Ninjové Světelného stylu jsou schopni vytvářet a ovládat světlo,
                    což jim umožňuje mít širokou škálu schopností, jako je například oslepení nepřátel,
                    vytváření spalujících světelných paprsků nebo dokonce pohyb rychlostí světla.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="bahenni-styl">
            <name>Bahenní styl</name>
            <playstyle> TODO </playstyle>
            <village ref="dill">
                <flavour>Bahenní styl je velmi silná a vzácná vrozená schopnost transformovat chakru na
                    kombinaci elementů vody a země, kterou dokážou ovládat jen někteří vyvolení ninjové.
                    Používání této techniky umožňuje ninjovi vytvořit, ovládat a manipulovat s bahenní
                    půdou a blátem. Tento typ techniky je velmi užitečný a může posloužit k mnoha
                    účelům, jako je vytváření překážek, omezení pohybu protivníků.</flavour>
            </village>
            <village ref="valley">
                <flavour>Bahenní styl je velmi silná a vzácná vrozená schopnost transformovat chakru na
                    kombinaci elementů vody a země, kterou dokážou ovládat jen někteří vyvolení ninjové.
                    Používání této techniky umožňuje ninjovi vytvořit, ovládat a manipulovat s bahenní
                    půdou a blátem. Tento typ techniky je velmi užitečný a může posloužit k mnoha
                    účelům, jako je vytváření překážek, omezení pohybu protivníků.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="chinoike-klan">
            <name>Chinoike klan</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Členové klanu Chinoike ovládají Ketsuryūgan, vrozenou shopnost, umožňující jim
                    manipulovat tekutinami s vysokým obsahem železa. Ve chvíli, kdy se toto justu
                    aktivuje, oči členů se zbarví do krvava. Jejich Ketsuryūgan jim také dává možnost
                    používat mocné genjutsu, srovnatelné s genjustu sharinganu.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="kaguya-klan" rarity="rare">
            <name>Kaguya klan</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour>Kaguya klan se po dlouhá léta považoval za vyhynulý, avšak po tajné expedici
                    Sarady Uchihy do jiného světa se několik představitelů vrátilo do Zvučné vesnice.
                    Klan je známý pro svou krvelačnou bojovou taktiku a archaické hodnoty. Potomci
                    dávného předka, Kaguyi Ōtsutsuki, zdědili částečnou schopnost manipulovat s
                    vlastními kostmi. </flavour>
            </village>
        </quirk>
        <quirk value="3" id="ledovy-styl" kekkei-genkai="true">
            <name>Ledový styl</name>
            <playstyle> TODO </playstyle>
            <village ref="frost">
                <flavour>Ledový styl je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů vody a větru. Jedním z nejznámějších uživatelů těchto technik byl mladý
                    Haku z klanu Yuki, který pocházel původem z Mlžné vesnice. Po občanské válce v Mlžné
                    byl klan donucen se skrýt v Mrazové vesnici, kde zůstali doposud. </flavour>
            </village>
            <village ref="mist">
                <flavour>Ledový styl je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů  vody a větru. Jedním z nejznámějších uživatelů těchto technik byl mladý
                    Haku z klanu Yuki, který pocházel původem z Mlžné vesnice. Po občanské válce v Mlžné
                    byl klan donucen se skrýt v Mrazové vesnici, avšak někteří představitelé v Mlžné
                    zůstali.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="eight-gates">
            <name>Eight gates</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Osm bran je osm specifických tenketsu spolu se systémem chakry. Osm bran
                    existuje, aby překonali limitní tok čakry v těle jednotlivce. Běžně mohou
                    jednotlivci využít maximálně 20 % plného potenciálu svého těla, což je způsob, jakým
                    mozek chrání jednotlivce před poškozením svého těla nadměrnou námahou. Tréninkem se
                    jednotlivci mohou naučit odstraňovat tyto omezení, označované jako „otvírání“ bran.
                    S každou otevřenou bránou je jednotlivcům umožněn přístup ke stále většímu množství
                    čaker jejich těla, čímž se zvyšuje jejich fyzická síla a rychlost.</flavour>
            </public>
        </quirk>
        <quirk value="-4" id="single-talent-ninjutsu">
            <name>Single talent: Ninjutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but ninjutsu</flavour>
            </public>
            <block type="taijutsu" level="1" />
            <block type="genjutsu" level="1" />
        </quirk>
        <quirk value="-4" id="single-talent-taijutsu">
            <name>Single talent: Taijutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but taijutsu</flavour>
            </public>
            <block type="ninjutsu" level="1" />
            <block type="genjutsu" level="1" />
        </quirk>
        <quirk value="-4" id="single-talent-genjutsu">
            <name>Single talent: Genjutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but genjutsu</flavour>
            </public>
            <block type="taijutsu" level="1" />
            <block type="ninjutsu" level="1" />
        </quirk>
        <quirk value="2" id="yamanaka-klan">
            <name>Yamanaka klan</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Klan Yamanaka je další z rodin žijících v Listové. Specializují se na techniky
                    spojené s myslí. Symbolem klanu je jetel a obecně mají v lásce květiny. DOkonce v
                    Listové vlastní květinářství</flavour>
            </village>
        </quirk>
        <quirk value="3" id="vybusny-styl">
            <name>Výbušný styl</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Výbušný styl neboli Bakuton je vrozená schopnost uživatele transformovat chakru
                    na kombinaci elementů země a blesku. Uživatelé těchto technik využívají výbušnou
                    chakru v boji. Bakuton umí nejčastěji používat členové Výbušných jednotek, kterými
                    je Kamenná vesnice proslulá. Explosion Release neboli Bakuton je přírodní
                    transformace elementů země a blesku. Uživatelé těchto technik využívají výbušnou
                    chakru v boji. Bakuton umí nejčastěji používat členové Výbušných jednotek, kterými
                    je Kamenná vesnice proslulá. Explosion Release neboli Bakuton je přírodní
                    transformace elementů země a blesku. Uživatelé těchto technik využívají výbušnou
                    chakru v boji. Bakuton umí nejčastěji používat členové Výbušných jednotek, kterými
                    je Kamenná vesnice proslulá.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="styl-pary-">
            <name>Styl páry </name>
            <playstyle> TODO </playstyle>
            <village ref="mist">
                <flavour>Styl páry je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů ohně a vody. Jedním z nejznámějších představitelů těchto technik je pátá
                    Mizukage, Mei Terumi. </flavour>
            </village>
        </quirk>
        <quirk value="1" id="sealing-monks">
            <name>Sealing monks</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Součástí vojenské tradice vesnice skryté v písku je i jednotka specializující
                    se na pečetící techniky. Tyto techniky jsou využívány k zapečěťování nebezpečných
                    bytostí, k uchovávání předmětů v přenosných médiích, případně při vytváření bariéry
                    omezující přístup do některých objektů.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="styl-boure">
            <name>Styl bouře</name>
            <playstyle> TODO </playstyle>
            <village ref="cloud">
                <flavour>Styl bouře je vrozená schopnost transformovat chakru na kombinaci elementů vody
                    a blesku. I přes svůj název tato podstata nemanipuluje se skutečnou bouří, místo
                    toho vytváří elektrické světelné paprsky, které proudí jako voda. Ranton byl v
                    minulosti požíván několika oblačnými ninji, z nichž nejznámějším byl pátý Raikage
                    Darui.</flavour>
            </village>
            <village ref="valley">
                <flavour>Styl bouře je vrozená schopnost transformovat chakru na kombinaci elementů vody
                    a blesku. I přes svůj název tato podstata nemanipuluje se skutečnou bouří, místo
                    toho vytváří elektrické světelné paprsky, které proudí jako voda. Ranton byl v
                    minulosti požíván několika oblačnými ninji, z nichž nejznámějším byl pátý Raikage
                    Darui.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="salamandr">
            <name>Salamandr</name>
            <playstyle> TODO </playstyle>
            <village ref="rain">
                <flavour>Salamander bylo přízvisko dávného vůdce Deštné vesnice, Hanza, které si
                    vysloužil svými nebývalými schopnostmi. Podobně jako on byl ninja ovládající tyto
                    techniky napuštěn prudkým jedem, který dokázal přežít a integrovat do svého systému.
                    Díky tomu umí vyvolat jedovatou mlhu a také má dobrý vztah se salamandry. Typycky
                    tento shinobi nosí masku, aby chránil své okolí i sám sebe. </flavour>
            </village>
        </quirk>
        <quirk value="2" id="uzumaki-klan">
            <name>Uzumaki klan</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Klan Uzumaki byl dříve prominentní klan v Uzushiogakure. Jeho členové jsou
                    známí tím, že jejich hlavy zdobí zářivě rudé vlasy, mají neobvykle velké množství
                    chakry a jsou velmi nadaní v pečetících jutsu. Navzdory prvotnímu pádu Uzushiogakure
                    a úpadku klanu nikdy zcela nevymřel, jeho členové se rozptýlili do jiných skrytých
                    vesnic. Nejznámějším představitelem klanu je Naruto Uzumaki.</flavour>
            </village>
            <village ref="rain">
                <flavour>Klan Uzumaki byl dříve prominentní klan v Uzushiogakure. Jeho členové jsou
                    známí tím, že jejich hlavy zdobí zářivě rudé vlasy, mají neobvykle velké množství
                    chakry a jsou velmi nadaní v pečetících jutsu. Navzdory prvotnímu pádu Uzushiogakure
                    a úpadku klanu nikdy zcela nevymřel, jeho členové se rozptýlili do jiných skrytých
                    vesnic. Nejznámějším představitelem klanu je Naruto Uzumaki. </flavour>
            </village>
        </quirk>
        <quirk value="2" id="chakra-pilule">
            <name>Chakra pilule</name>
            <playstyle> TODO </playstyle>
            <village ref="dill">
                <flavour>Chakra pilulky jsou malé pilulky, které poskytují uživateli rychlé obnovení
                    chakry. Tyto pilulky se obvykle používají v případech, kdy je uživatel v boji
                    unavený nebo když potřebuje okamžitě obnovit svou chakru. Existují různé typy chakra
                    pilulek, jako například "green pill" nebo "blue pill", které mají různé účinky. Jsou
                    obvykle vyráběny pomocí různých bylin a rostlin, které mají schopnost obnovovat
                    chakru. I když dnes se také vyrábějí pomocí umělých látek a chemikálií, které mají
                    podobné účinky.</flavour>
            </village>
            <village ref="spring">
                <flavour>Chakra pilulky jsou malé pilulky, které poskytují uživateli rychlé obnovení
                    chakry. Tyto pilulky se obvykle používají v případech, kdy je uživatel v boji
                    unavený nebo když potřebuje okamžitě obnovit svou chakru. Existují různé typy chakra
                    pilulek, které mají i různé účinky. Jsou obvykle vyráběny pomocí různých bylin a
                    rostlin, které mají schopnost obnovovat chakru. I když dnes se také vyrábějí pomocí
                    umělých látek a chemikálií, které mají podobné účinky.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="slimaci-senjutsu">
            <name>Slimáčí senjutsu</name>
            <playstyle> TODO </playstyle>
            <village ref="valley">
                <flavour>Slimáčí senjutsu je speciální technikou, kterou ovládají pouze ti, co svou krví
                    zpečetili smlouvu s Katsuyu . Tento druh jutsu spočívá v tom, že uživatel absorbuje
                    energii z přírody, což mu umožňuje získat větší sílu a zlepšit své schopnosti. Když
                    uživatel používá slug senjutsu, jeho rysy se zdají váce slimáčí. Kromě toho může
                    uživatel využít speciálních technik, které mu umožňují například zlepšit svou
                    rychlost, sílu nebo reflexy.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="kult-jashina">
            <name>Kult Jashina</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Následovníci krvelačného boha Jashina věří, že lidem, které zabijí prokazují
                    službu, přotože je zbaví strachu ze smrti. Pomocí krvavých rituálů mohou svým obětem
                    způsobovat zranění, tím že zraňují sami sebe a ti nejoddanější mohou být svým bohem
                    odměněni nesmrtelností.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="demon-prison">
            <name>Demon prison</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour> TODO </flavour>
            </village>
        </quirk>
        <quirk value="1" id="privolani-vrany">
            <name>Přivolání vrány</name>
            <playstyle> TODO </playstyle>
            <village ref="frost">
                <flavour>Přivolání vrány je jutsu, která umožňuje uživateli zavolat vrány k pomoci.
                    Ninja musí být nejprve schopný uzavřít smlouvu s vrány a pak může použít tuto
                    techniku k zavolání jednoho nebo více vran k pomoci v boji nebo v jiných situacích.
                    Vrány jsou známí svou inteligencí a schopnostmi, jako jsou například let,
                    shromažďování informací a podobně.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="sensory-type">
            <name>Sensory type</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Senzoři jsou nebývale důležitou součástí nejen každé vesnice, ale i týmu. Díky
                    svým dovednostem umí upozornit na nepřítele, odhalit pasti a pod. Jejich schopnosti
                    jsou obzválště oceněny i při stopování. </flavour>
            </public>
        </quirk>
        <quirk value="-3" id="hyperfocused">
            <name>Hyperfocused</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels 1 from all trees but one</flavour>
            </public>
        </quirk>
        <quirk value="3" id="hyuuga-klan">
            <name>Hyuuga klan</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Hyuuga klan je jedním ze čtyř vznešených rodů původně z Listové. Během rozkolu
                    mezi hlavou klanu a Devátou Hokage se mnoho členů klanu odtrhlo od Listové a našli
                    útočiště v Koprové vesnici. Jeho členové se rodí s byakuganem, což je dojutsu kekkei
                    genkai, jež se projevuje bílou barvou očí a schopností vidět tok chakry v lidském
                    těle. Klan se vždy dělí na dvě větve: hlavní a vedlejší. Členové vedlejší větve mají
                    za úkol vždy bránit členy hlavní. </flavour>
            </village>
            <village ref="dill">
                <flavour>Hyuuga klan je jedním ze čtyř vznešených rodů původně z Listové. Během rozkolu
                    mezi hlavou klanu a Devátou Hokage se mnoho členů klanu odtrhlo od Listové a našli
                    útočiště v Koprové vesnici. Jeho členové se rodí s byakuganem, což je dojutsu kekkei
                    genkai, jež se projevuje bílou barvou očí a schopností vidět tok chakry v lidském
                    těle. Klan se vždy dělí na dvě větve: hlavní a vedlejší. Členové vedlejší větve mají
                    za úkol vždy bránit členy hlavní. </flavour>
            </village>
        </quirk>
        <quirk value="1" id="chakrovy-jil">
            <name>Chakrový jíl</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Legendární technika z Kamenné tak tajná, že je její samotné jméno zakázáno
                    vyslovit. Umožňuje uživateli vdechnout život do hlíny, jílu, nebo dalších substancí.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="lavovy-styl">
            <name>Lávový styl</name>
            <playstyle> TODO </playstyle>
            <village ref="mist">
                <flavour>V základu jde o kekkei genkai který uživateli umožňuje míchat oheň a zemi. Jeho
                    specifikem však je, že každý člen se musí techniky naučit sám a tak dosahuje
                    originálních a vlastních technik. Nejnznámější uživatelkou je pravděpodobně 5.
                    Mizukage. </flavour>
            </village>
        </quirk>
        <quirk value="3" id="spalujici-styl">
            <name>Spalující styl</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Spalující styl je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů ohně a větru. Toto spojení vytváří spalující žár ve formě oslnivých
                    plamenů. Pomocí technik spálení lze zahřát protivníkovy tělesné tekutiny až do
                    takového bodu, kdy se vypaří a zbyde jen vysušené tělo.</flavour>
            </village>
            <village ref="grass">
                <flavour>Spalující styl je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů ohně a větru. Toto spojení vytváří spalující žár ve formě oslnivých
                    plamenů. Pomocí technik spálení lze zahřát protivníkovy tělesné tekutiny až do
                    takového bodu, kdy se vypaří a zbyde jen vysušené tělo.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="bleskovy-plas">
            <name>Bleskový pláš</name>
            <playstyle> TODO </playstyle>
            <village ref="cloud">
                <flavour>Uživatel obalí své tělo vrstvou bleskové chakry, čímž stimuluje svůj nervový
                    systém a zvýší svou rychost. Toto posílení zvýší sílu uživatelova taijutsu a
                    bleskový obal ho zároveň chrání před útoky.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="papirove-jutsu" rarity="rare">
            <name>Papírové jutsu</name>
            <playstyle> TODO </playstyle>
            <village ref="rain">
                <flavour>Papírové ninjutsu označuje oblast technik, které se specializují na využití
                    papíru. Uživatelé formují a tvarují svou čakru do malých kousků papíru, se kterými
                    pak mohou různými způsoby volně manipulovat. Jde o kekkei genkai klanu Kamihana,
                    jehož zakladatelem byla Konan. Klan byl z velké části vyvražděn a tak jsou uživatelé
                    těchto technik mimořádně nevídaní.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="scroll-sealing">
            <name>Scroll sealing</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Scroll sealing (pečetění svitků) je technika, která se používá k ukládání a
                    uchování různých předmětů v papírových svitcích. Tyto svitky mohou být poté snadno
                    přenášeny a uchovávány, a to ať už se jedná o zbraně, jedy nebo jiné předměty.Při
                    použití této techniky se nejdříve vytvoří papírový svitek a poté se do něj vkládá
                    předmět, který se má uchovat. Následně se na svitek aplikují speciální pečetě, které
                    uzavírají svitek a zabraňují tak tomu, aby se obsah dostal ven. Tuto techniku často
                    používají ninjové, aby se zbavili nepotřebných předmětů, jako jsou zbraně, a aby
                    ušetřili místo v batohu. Scroll sealing je také důležitou součástí některých jiných
                    technik, jako je například Shadow Clone Technique, která využívá pečetění svitků k
                    ukládání kopie uživatele.</flavour>
            </village>
            <village ref="rain">
                <flavour>Scroll sealing (pečetění svitků) je technika, která se používá k ukládání a
                    uchování různých předmětů v papírových svitcích. Tyto svitky mohou být poté snadno
                    přenášeny a uchovávány, a to ať už se jedná o zbraně, jedy nebo jiné předměty.Při
                    použití této techniky se nejdříve vytvoří papírový svitek a poté se do něj vkládá
                    předmět, který se má uchovat. Následně se na svitek aplikují speciální pečetě, které
                    uzavírají svitek a zabraňují tak tomu, aby se obsah dostal ven. Tuto techniku často
                    používají ninjové, aby se zbavili nepotřebných předmětů, jako jsou zbraně, a aby
                    ušetřili místo v batohu. Scroll sealing je také důležitou součástí některých jiných
                    technik, jako je například Shadow Clone Technique, která využívá pečetění svitků k
                    ukládání kopie uživatele.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="juugo-klan">
            <name>Juugo klan</name>
            <playstyle> TODO </playstyle>
            <village ref="dill">
                <flavour>Juugo je klan s jedinečnou dědičnou schopností pasivně čerpat přírodní chakru.
                    Konstantní přítok této chakry však může způsobit nekontrolovatelnou změnu nálady a
                    dokonce i k brutálním útokům na blízké lidi v okolí, neboť členové klanu mohou
                    podlehnout a v záchvatu zuřivosti se proměnit na divoké monstrum děsivého vzhledu.
                    Členové však bývají velmi schopní v boji a dobře si rozumí se zvířaty, které
                    přirozeně přitahují. </flavour>
            </village>
        </quirk>
        <quirk value="1" id="daimyio-straz">
            <name>Daimyio stráž</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Tito ninjové se zapřísáhli bránit svého pána daimia. Jsou to výborní bojovníci
                    se zbraněmi tváří v tvář. Většinou je jejich oblíbená zbraň naginata kterou
                    mistrovsky ovládají. Jejich tradiční oblek je červené barvy.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="hadi-senjutsu">
            <name>Hadí senjutsu</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour>Hadí senjutsu je druh senjutsu které se zaměřuje na spojení uživatele s
                    přírodou pomocí hadů. Uživatelé snake senjutsu dokážou absorbovat chakru z přírody,
                    kterou následně využívají k ovládání svých hadích schopností a k posílení svých
                    fyzických vlastností. Tyto schopnosti mohou zahrnovat zlepšenou rychlost, obratnost,
                    sílu, regeneraci a dokonce i schopnost vytvářet a kontrolovat hady.</flavour>
            </village>
        </quirk>

        <quirk value="1" id="anbu">
            <name>Anbu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Jsou tajní agenti schopných ninjů, kteří jsou vysláni svým vesnickým vůdcem. V
                    Anbu zjevně nejsou žádné skutečné hodnosti; vedení týmu a hierarchie se zdají být
                    založeny na zásluhách a zkušenostech. Vůdci týmů se nazývají vůdci čet, což je
                    pozice držená ve vysoké úctě.</flavour>
            </public>
        </quirk>
        <quirk value="-2" id="ninjutsu-specialist">
            <name>Ninjutsu Specialist</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels but levels 1 from all but ninjutsu</flavour>
            </public>
            <block type="genjutsu" level="2" />
            <block type="taijutsu" level="2" />
        </quirk>
        <quirk value="3" id="uchiha-klan">
            <name>Uchiha klan</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Uchiha klan je jedním ze čtyř vznešených rodů z listové. Jejich kekkei genkai
                    je dojutsu Sharingan, jež členům klanu dovoluje kopírovat techniky ostatních ninjů.
                    Jejich typickým živlem je oheň. Uchiha klan byl vyvražděn a až do nedávného návratu
                    se jeho členové počítali na prstech jedné ruky.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="son-goku" rarity="unique">
            <name>Son goku</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Čtyřocasý démon Son Goku se po letech vrátil do Kamenné vesnice a našel si
                    nového hostitele. Démon má tělo gorily s červenou srstí a zelenou kůží. Je velmi
                    hrdý a zastává názor, že opice jsou chytřejší než lidé, které nemá v lásce. Ovládá
                    ohnivý a zemní element a propůjčuje svému nositeli velké množství chakry. Jaký však
                    má vztah se svým Jinshuuriki je otázkou. </flavour>
            </village>
        </quirk>
        <quirk value="1" id="hoshigaki-klan">
            <name>Hoshigaki klan</name>
            <playstyle> TODO </playstyle>
            <village ref="mist">
                <flavour>Všichni jeho členové jsou známí svými rysy podobnými žralokům, jako jsou ostré
                    a špičaté zuby, či ostré rysy obličeje. Nejznámějším členem byl asi Kisame, jež
                    používal meč Samehada, jeden z legendárních 7. Členové klanu používají vodní
                    techniky, jež tvarem připomínají žraloky a jsou velmi silné.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="loutkar">
            <name>Loutkář</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Loutkářští ninjové využívají chakrová vlákna vedoucí z konečků jejich prstů k
                    ovládání loutek, které v boji využívajá jak k útoku, tak k obraně.</flavour>
            </village>
        </quirk> 
        <quirk value="2" id="ricni-senjutsu">
            <name>Říční senjutsu</name>
            <playstyle> TODO </playstyle>
            <village ref="valley">
                <flavour>Říční senjutsu je speciální technikou, kterou ovládají někteří ninjové z
                    Údolní. Tento druh jutsu spočívá v tom, že uživatel absorbuje specifickou energii z
                    přírody, což mu umožňuje získat větší sílu a zlepšit své schopnosti. Když uživatel
                    používá Říční senjutsu, jeho oči se zbarví dozelena a obličej domodra. Kromě toho
                    může uživatel využít speciálních technik, které mu umožňují například zlepšit svou
                    rychlost, sílu nebo reflexy.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="styl-pary">
            <name>Styl páry</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Styl páry je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů ohně a vody. Jedním z nejznámějších představitelů těchto technik je pátá
                    Mizukage, Mei Terumi.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="fyzicke-modifikace">
            <name>Fyzické modifikace</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour>Zvučná vesnice je proslulá tím, že jejich ninjové podstupují četné fyzické
                    modifikace za účelem dosáhnutí nadlidských výkonů a k využití speciálních technik.
                    Modifikace mohou být různorodé od přioperovaných orgánů a končetin po jejich
                    technickou úpravu. Od Zvučných shinobi je očekáváno, že obětují své tělo pro sílu
                    vesnice. </flavour>
            </village>
        </quirk>
        <quirk value="2" id="medi-nin">
            <name>Medi nin</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>V každé vesnici jsou velmi důležití léčitelští ninjové. Zachraňují stovky
                    životů a téměř každý shinobi střet by bez nich skončil úmrtím, kvůli sepsi. </flavour>
            </public>
        </quirk>
        <quirk value="-2" id="taijutsu-specialist">
            <name>Taijutsu specialist</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels but levels 1 from all but taijutsu</flavour>
            </public>
            <block type="ninjutsu" level="2" />
            <block type="genjutsu" level="2" />
        </quirk>
        <quirk value="2" id="nara-klan">
            <name>Nara klan</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Rodina Nara je jednou z mnoha v Listové. Jsou známí svou péči o jeleny a
                    schopností manipulovat se stíny pomocí Yin Release. Klan si schovával po generace
                    knihu s různými léčivými přípravky a účinky, a tedy jsou zkušení v oblasti medicíny
                    a léčitelského umění. </flavour>
            </village>
        </quirk>
        <quirk value="3" id="krystalicky-styl">
            <name>Krystalický styl</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Krystalický styl je vrozená schopnost uživatele transformovat chakru na
                    kombinaci elementů země a vody. Tuto techniku ovládají někteří zvláštní ninjové,
                    kteří jsou schopni manipulovat s oběma elementy a vytvářet tak krystaly různých
                    tvarů a velikostí. Krystaly vytvořené touto technikou jsou velmi tvrdé a odolné a
                    mohou být použity jako ochranný štít nebo zbraň. Kromě toho mohou být krystaly
                    využity k léčení ran a uzdravování zranění. Výsledné krystaly jsou velmi estetické a
                    mají různé barvy, v závislosti na použitých prvky.</flavour>
            </village>
            <village ref="frost">
                <flavour>Krystalický styl je vrozená schopnost uživatele transformovat chakru na
                    kombinaci elementů země a vody. Tuto techniku ovládají někteří zvláštní ninjové,
                    kteří jsou schopni manipulovat s oběma elementy a vytvářet tak krystaly různých
                    tvarů a velikostí. Krystaly vytvořené touto technikou jsou velmi tvrdé a odolné a
                    mohou být použity jako ochranný štít nebo zbraň. Kromě toho mohou být krystaly
                    využity k léčení ran a uzdravování zranění. Výsledné krystaly jsou velmi estetické a
                    mají různé barvy, v závislosti na použitých prvky.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="shukaku" rarity="unique">
            <name>Shukaku</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Ninja v sobě nosí zapečetěného mocného jednoocasého démona. Démon má svou
                    vlastní hlavu a oplývá obrovstvím množstvím chakry, takže být jeho hostitelem není
                    nic jednoduchého, avšak pokud dokáže ninja s démonem spolupracovat, otevře se mu
                    šance stát se jedním z nejsilnějších shinobi své vesnice. Jednoocasý démon shukaku
                    je specifický svou schopností ovládat písek, kterou může přenést i na svého
                    hostitele</flavour>
            </village>
        </quirk>
        <quirk value="2" id="sermir">
            <name>Šermíř</name>
            <playstyle> TODO </playstyle>
            <village ref="cloud">
                <flavour>V oblačné se odjakživa vyskytují velmi nadaní šermíři. Jsou prosulí svou
                    schopností nabíjet své zbraně bleskovou chakrou. Dosažení mistrovské úrovně v boji
                    se zbraněmi je velice náročné, a proto jsou na něj ninjové patřičně hrdí.</flavour>
            </village>
            <village ref="mist">
                <flavour>Mlžná je známá svými skvělými šermíři, počínaje u legendárních 7. Ne každý však
                    má tu čest užívat jednu z původních zbraní, avšak mnoho ninjů se nimi inspiruje.
                    Dosažení mistrovské úrovně v boji se zbraněmi je velice náročné, a proto jsou na něj
                    ninjové patřičně hrdí.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="umeni-destniku">
            <name>Umění deštníku</name>
            <playstyle> TODO </playstyle>
            <village ref="rain">
                <flavour>Uživatelé těchto justu s sebou nosí velký deštník, který používají v kombinaci
                    s jehlami. Shinobi zkušení v tomto stylu boje mohou podpořit svůj útok vlnami
                    nebezpečných jehel, které na oponenty vrhá chakrou ovládaný deštník. Dokáží se
                    pomocí tohoto ninja nástroje i bránit.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="plameny-samadhi" rarity="rare">
            <name>Plameny Samádhi</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Plameny Samádhi jsou techniky ohnivého stylu. Jedná se o velmi silnou a ničivou
                    techniku, která umožňuje uživateli vytvořit plameny s velkým ohnivým výkonem. Když
                    Ninja používá tuto techniku, přemění svůj chakru na ohnivou energii a vytvoří
                    obrovskou kouli ohně, která může zničit všechno v dosahu. Plameny Samádhi jsou tak
                    silné, že dokáží dokonce prolomit obranu silného protivníka. Ninjové tuto techniku
                    používájí v bojích, když se musí postavit proti velmi silnému nepříteli, nebo když
                    chce zničit větší oblast. Nicméně, tato technika je velmi náročná na chakru a
                    ninjové ji používá jen ve velmi omezeném množství případů.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="yang-imitation">
            <name>Yang imitation</name>
            <playstyle> TODO </playstyle>
            <village ref="dill">
                <flavour>Yang imitation je jutsu, které dokáže uživatelům umožnit imitovat sílu a
                    techniky svého protivníka. Toto jutsu se využívá pomocí Senjutsu, kdy uživatel
                    absorbuje přírodní energii z okolí do svého těla a získává tím schopnost využívat
                    Senjutsu. Následně uživatel může pomocí Yang energy a napodobovat sílu a techniky
                    protivníka. Je třeba poznamenat, že Yang imitation není naprosto dokonalé jutsu a že
                    napodobeniny technik a síly protivníka nejsou úplně stejné jako originál.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="opila-pest" rarity="rare">
            <name>Opilá pěst</name>
            <playstyle> TODO </playstyle>
            <village ref="valley">
                <flavour>Toto je styl taijutsu, který je možný pouze tehdy, když je uživatel velmi
                    opilý. Díky tomu se uživatelé pohybují nepravidelně a nevyzpytatelně: útočí bez
                    varování a brání se nekonvenčními pohyby. Uživatelé nemají žádné vědomé povědomí o
                    tom, jaké akce udělají, což také znamená, že ani oponenti nemohou předvídat, co
                    udělají. Poté, co uživetal vypije nějaké množství alkoholu, jeho tváře zčervenají a
                    on propadá opileckému vzteku, svádí hádky s přáteli i nepřáteli. Pozn.: Během herní
                    doby je zakázáné konzumovat alkohol.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="fuma-klan">
            <name>Fuma klan</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Vzdálení příbuzní Uchiha klanu známí ve skryté deštné vesnici. a zemi ohně pro
                    používání obrovských, jako břitva ostrých shurikenů. </flavour>
            </village>
            <village ref="rain">
                <flavour>Vzdálení příbuzní Uchiha klanu známí ve skryté deštné vesnici a zemi ohně pro
                    používání obrovských, jako břitva ostrých shurikenů.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="twin-demon-technique">
            <name>Twin demon technique</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour> TODO </flavour>
            </village>
        </quirk>
        <quirk value="1" id="tajfunovy-styl">
            <name>Tajfunový styl</name>
            <playstyle> TODO </playstyle>
            <village ref="frost">
                <flavour>Typhoon Release patří mezi kekkei genkai - speciální techniky kombinující dvě
                    nebo více různých elementů chakry. Typhoon Release je kombinací element vodny a
                    větru, což umožňuje uživateli vytvářet mohutné větry a vodní proudy. Tato technika
                    může být velmi ničivá a má schopnost způsobit rozsáhlé škody na krajině a
                    protivníkovi.</flavour>
            </village>
        </quirk>
        <quirk value="" id="uceni-uzushiokagure">
            <name>Učení Uzushiokagure</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Vesnice Uzushio byla znovuzaložena Narutem Uzumaki, který shromáždil shinobi z
                    celého světa a naučil je, jak lépe využívat chakru podle původních učení Mudrce
                    Šesti cest, který věnoval chakru lidem k podpoření míru a porozumnění. Po Narutově
                    smrti se ninjové Uzushio rozptýlili do celého světa, připojili se ke skrytým
                    vesnicím a zde šíří filozofii Naruta, jak to Nejvýšší velitel zamýšlel. Rozšíření
                    filozofie má být prvním krokem k zlomení koloběhu válek a nenávisti.</flavour>
            </public>
        </quirk>
        <quirk value="-2" id="genjutsu-specialist">
            <name>Genjutsu specialist</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels but levels 1 from all but genjutsu</flavour>
            </public>
            <block type="taijutsu" level="2" />
            <block type="ninjutsu" level="2" />
        </quirk>
        <quirk value="3" id="zabi-senjutsu-">
            <name>Žábí senjutsu </name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Žabí senjutsu je speciální technikou kterou ovládají někteří z příslušníků
                    klanu Královských žab. Tento druh jutsu spočívá v tom, že uživatel absorbuje žabí
                    energii z přírody, což mu umožňuje získat větší sílu a zlepšit své schopnosti. Když
                    uživatel používá žabí senjutsu, jeho oči se zbarví žlutě a na tváři se mu objeví
                    charakteristické znaky v podobě kruhů. Kromě toho může uživatel využít speciálních
                    technik, které mu umožňují například zlepšit svou rychlost, sílu nebo reflexy.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="lavovy-styl-">
            <name>Lávový styl </name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Lávový styl je vrozená schopnost uživatele transformovat chakru na kombinaci
                    elementů ohně a země. Tuto techniku ovládají někteří ninjové, kteří jsou schopni
                    manipulovat s oběma elementy a vytvářet tak lávu různých teplot a viskozity. Láva
                    vytvořená touto technikou může být použita k útokům i obraně. Dokáže se rychle
                    rozpohybovat a má schopnost hořet vysokou teplotou, což ji činí velmi nebezpečnou
                    zbraní. Láva může být použita k vytváření různých tvarů, jako jsou zbraně, stěny
                    nebo dokonce celé oblasti. Kromě toho může být láva využita k léčení ran a hojení
                    zranění.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="hozuki-klan">
            <name>Hozuki klan</name>
            <playstyle> TODO </playstyle>
            <village ref="mist">
                <flavour>Klan Hózuki z mlžné vesnice. Tento klan se specializuje na schopnosti
                    manipulace s vodou a vlhkostí a je považován za jeden z nejmocnějších klanů v této
                    vesnice. Členové klanu Hózuki jsou schopni měnit své tělo do tekuté formy, což jim
                    umožňuje procházet těsnými mezerami a unikat před nepřáteli. Dále jsou schopni
                    vytvářet různé tvary z vody, jako jsou zbraně nebo pasti.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="magneticky-styl">
            <name>Magnetický styl</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Magnetický styl je vrozená schopnost uživatele transformovat chakru na
                    kombinaci elementů vzduchu a země. Uživatelé těchto technik jsou schopní vytvářet
                    magnetické pole a pomocí jeho manipulovat s předměty. Známým uživatelem těchto
                    technik byl třetí kazekage, který ho používal k ovládání železného písku.</flavour>
            </village>
            <village ref="cloud">
                <flavour>Magnetický styl je vrozená schopnost uživatele transformovat chakru na
                    kombinaci elementů vzduchu a země. Uživatelé těchto technik jsou schopní vytvářet
                    magnetické pole a pomocí jeho manipulovat s předměty. Známým uživatelem těchto
                    technik byl třetí kazekage, který ho používal k ovládání železného písku.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="styl-hromu">
            <name>Styl hromu</name>
            <playstyle> TODO </playstyle>
            <village ref="cloud">
                <flavour>Střežené kekkei genkai, které dovoluje uživateli kombinovat živly vzduch a
                    blesk. Ninja dokáže manipulovat blesk a vzduch do takové podoby, že se na chvíli
                    vznese a s ohlušujícím rámusem se přenese chtěné místo. Thunder release umožňuje
                    velkou varietu technik, při kterých však vždy hlasitě duní hromy. Dosáhne-li ninja
                    mistrovství v Thunder release dokáže při přesunu na místo (typicky bojiště) při
                    dopadu také uvolnit obrovksé množství chakry tak, že odhodí nepřátele vzdušnou vlnou
                    a zároveň je zraní bleskem.</flavour>
            </village>
            <village ref="frost">
                <flavour> TODO </flavour>
            </village>
        </quirk>
        <quirk value="3" id="blacksmith">
            <name>Blacksmith</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Tyto speciální techniky propůjčují uživateli schopnost vytvořit legendární
                    zbraň. Díky svým dovednostem ji dokáže i opravit. Nejznámějším představitelem tohoto
                    umu byla proslulá starostka Koprové vesnice, která své schopnosti předala Uzushio
                    ninjům, když se k vesnici připojila.</flavour>
            </village>
            <village ref="dill">
                <flavour>Tyto speciální techniky propůjčují uživateli schopnost vytvořit legendární
                    zbraň. Díky svým dovednostem ji dokáže i opravit. Nejznámějším představitelem tohoto
                    umu byla proslulá starostka Koprové vesnice, která své schopnosti předala Uzushio
                    ninjům, když se k vesnici připojila.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="kokuo" rarity="unique">
            <name>Kokuo</name>
            <playstyle> TODO </playstyle>
            <village ref="dill">
                <flavour>Pětiocasý démon Kokuo se rozhodl žít v Koprové vesnice a našel si nového
                    hostitele. Kokuo připomíná bílého koně, ale s hlavou delfína. Má dva špičaté dlouhé
                    rohy a tři kratší rohy vpředu. Mimo obrovské zásoby chakry má velkou fyzickou sílu a
                    používá své rohy v boji, čímž ukazuje dostatečnou sílu narážení. Jaký však má vztah
                    se svým Jinshuuriki je otázkou.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="kurama-klan" rarity="rare">
            <name>Kurama klan</name>
            <playstyle> TODO </playstyle>
            <village ref="valley">
                <flavour>Klan Kurama je klan extrémně zkušených uživatelů genjutsu. Tento talent v
                    genjutsu je způsoben kekkei genkai, který klan vlastní. Jednou za několik generací
                    se však člen klanu narodí s tak obrovskými dovednostmi v genjutsu, že jeho iluze
                    způsobí, že mozek učiní vše, co se stane oběti v genjutsu. Fyzicky i reálně, což
                    umožní členovi klanu potenciálně zabít své protivníky.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="iburi-klan">
            <name>Iburi klan</name>
            <playstyle> TODO </playstyle>
            <village ref="spring">
                <flavour>Samotářský klan původem ze země ohně, s vrozenou schopností umožňující jim
                    proměnit se v oblak kouře. Tato shopnost je ovšem nepezpečná, neboť pokud jsou v
                    této podobě vystaveni silnému větru, mohou být rozváti a zemřít, proto je bezpečné
                    používat ji pouze v uzavřených prostorách.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="pavouci-techniky">
            <name>Pavoučí techniky</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour>Pavoučí techniky propůjčují uživateli schopnost tvořit a ovládat pavučiny. Ze
                    slin a potu ninja dokáže pomocí chakry vytvořit lepkavou a odolnou pavučinu, kterou
                    může uvěznit či vycítit nepřátele. Pokročilé techniky dovolují uživateli zformovat
                    hustší zlatavou tekutinu, která při kontaktu se vzduchem ztvrdne na kov a může tak
                    vytvořit i zbraně.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="snehovy-styl">
            <name>Sněhový styl</name>
            <playstyle> TODO </playstyle>
            <village ref="frost">
                <flavour>Snow Release je tajemné umění, které se zaměřuje na manipulaci s ledovou a
                    vodní chakrou. Uživatelé Snow Release mohou manipulovat s ledem a vodou, čímž mohou
                    vytvářet ledové zbraně, kryokinetické útoky a ochranné ledové bariéry. Mohou také
                    vytvářet ledové štíty a ledové mříže, což umožňuje jejich uživatelům ovládat pohyb
                    nepřátel a blokovat útoky.</flavour>
            </village>
        </quirk>
        <quirk value="" id="elemental-talent">
            <name>Elemental talent</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Ninjové, kteří se rozhodnou věnovat svou pozornost 1 elementu v něm dosáhnou
                    hrozivé efektivity. Oproti některým jiným živlům jsou velice silní ale mají i své
                    slabiny proti jiným...</flavour>
            </public>
        </quirk>
        <quirk value="-1" id="useless-at-ninjutsu">
            <name>Useless at ninjutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels 1 from ninjutsu</flavour>
            </public>
            <block type="ninjutsu" level="2" />
        </quirk>
        <quirk value="4" id="wood-release" rarity="rare">
            <name>Wood release</name>
            <playstyle> TODO </playstyle>
            <village ref="leaf">
                <flavour>Wood Release je speciální technika která spojuje prvky země a vody, aby
                    vytvořila dřevo.Tuto techniku ovládají pouze někteří zvláštní uživatelé, kteří jsou
                    schopni manipulovat s oběma prvky a vytvářet tak dřevo různých tvarů a velikostí.
                    Dřevo vytvořené touto technikou může být velmi tvrdé a odolné, což umožňuje
                    uživatelům používat ho jako ochranný štít nebo zbraň. Kromě toho může uživatel dřeva
                    využívat k léčení ran a uzdravování zranění.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="kamenne-senjutsu">
            <name>Kamenné senjutsu</name>
            <playstyle> TODO </playstyle>
            <village ref="stone">
                <flavour>Spočívá v ovládání chakry z kamene. Kamenní mudrci jsou schopni ovládat energii
                    z kamene a používat ji k útokům i obraně. Dokáží vytvářet kamenné zdi, trhliny a
                    jiné útvary, které mohou ochránit je i jejich společníky. Kromě toho můžou kamenní
                    mudrci využít kamenné energie k vytváření ostrých čepelí a jiných zbraní, které
                    můžou použít k útoku na své nepřátele. Nicméně, tato technika není zcela dokonalá a
                    její používání může mít negativní vliv na tělo uživatele.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="isobu" rarity="unique">
            <name>Isobu</name>
            <playstyle> TODO </playstyle>
            <village ref="mist">
                <!-- NOTE: spatny popisek? -->
                <flavour>Tříocasý démon Saiken se po letech vrátil do Deštné vesnice a našel si nového
                    hostitele. primárně připomíná velkou želvu, ale s krunýřem podobným krabovi, hroty
                    po celém těle a třemi ocasy Jeho schopností mimo obrovské zásoby chakry je
                    produkovat halucinogenní mlhu, která zneužila nejistoty oběti a donutit ji čelit
                    jim. Jaký však má vztah se svým Jinshuuriki je otázkou.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="umeni-vejire">
            <name>Umění vějíře</name>
            <playstyle> TODO </playstyle>
            <village ref="sand">
                <flavour>Uživatelé těchto justu s sebou nosí velký vějíř, který používají v kombinaci s
                    větrnými justu k vytváření silných nárazových poryvů větru.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="saiken" rarity="unique">
            <name>Saiken</name>
            <playstyle> TODO </playstyle>
            <village ref="rain">
                <flavour>Šestiocasý démon Saiken se po letech vrátil do Deštné vesnice a našel si nového
                    hostitele. Saiken je obrovský, bílý (se světle namodralým nádechem) dvounohý slimák
                    s tlustými pažemi, nohama a šesti dlouhými ocasy. Jeho schopností mimo obrovské
                    zásoby chakry je plyvání leptajících látek ve různých formách. Jaký však má vztah se
                    svým Jinshuuriki je otázkou.</flavour>
            </village>
        </quirk>
        <quirk value="2" id="plast-neviditelnosti">
            <name>Plášť neviditelnosti</name>
            <playstyle> TODO </playstyle>
            <village ref="grass">
                <flavour>Ninjovi, který ovládá tyto speciální techniky, se často příhodně říká
                    Chameleon, neboť díky svým dovednostem dokáže vytvořit pláště, které mu umožňují
                    splynout s okolím a skrývat se před nepřáteli. Nejschopnější shinobi tento plášť
                    mohou i vylepšit na vyšší úroveň, kdy jsou pro ostatní ninjy prakticky
                    nezaznamenatelní.</flavour>
            </village>
            <village ref="frost">
                <flavour>Ninjovi, který ovládá tyto speciální techniky, se často příhodně říká
                    Chameleon, neboť díky svým dovednostem dokáže vytvořit pláště, které mu umožňují
                    splynout s okolím a skrývat se před nepřáteli. Nejschopnější shinobi tento plášť
                    mohou i vylepšit na vyšší úroveň, kdy jsou pro ostatní ninjy prakticky
                    nezaznamenatelní.</flavour>
            </village>
        </quirk>
        <quirk value="1" id="ghost-transformation">
            <name>Ghost transformation</name>
            <playstyle> TODO </playstyle>
            <village ref="valley">
                <flavour>Tato speciální tajná technika dovoluje uživateli odpoutat svou duši od těla.
                    Duše může libovolně cestovat a dokonce i posednout a takto ovládat jiné inteligentní
                    bytosti. Tato praktika je však velmi riskantní, neboť odpoutaná duše nemůže chránit
                    své tělo před nekalými vlivy.</flavour>
            </village>
        </quirk>
        <quirk value="3" id="demonicka-fletna">
            <name>Démonická flétna</name>
            <playstyle> TODO </playstyle>
            <village ref="sound">
                <flavour>Démonická flétna je technika při které používáš flétnu. Tato flétna je nabitá
                    chakrou a umožňuje uživateli ovládat zvířata i lidi. Použití démonické flétny v
                    bitvě umožňuje uživateli přivolat obrovská zvířata i lidi, jako jsou například orli,
                    hadi, žraloci nebo sloni. Zasažení pak poslouchají písně, které hudebník na flétnu
                    hraje, a plní jeho příkazy</flavour>
            </village>
        </quirk>
        <quirk value="" id="samurai">
            <name>Samurai</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Samurajové jsou vojenskou mocností podobnou shinobi, i když nejsou zdaleka tak
                    rozšíření. Je známo, že samurajové a shinobi se nejprve rozcházeli v tom, jak
                    přijali učení ninshū: samurajové byli více duchovní a idealističtí, zatímco shinobi
                    se soustředil na používání své čakry k udržení lidských pout naživu. Pouze Země
                    železa nadále používá samuraje a všechny ostatní země se od té doby rozhodly
                    používat shinobi.</flavour>
            </public>
        </quirk>
        <quirk value="-1" id="useless-at-taijutsu">
            <name>Useless at taijutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels 1 from taijutsu</flavour>
            </public>
            <block type="taijutsu" level="2" />
        </quirk>
        <quirk value="-1" id="useless-at-genjutsu">
            <name>Useless at genjutsu</name>
            <playstyle> TODO </playstyle>
            <public>
                <flavour>Locks all but levels 1 from genjutsu</flavour>
            </public>
            <block type="genjutsu" level="2" />
        </quirk>
        <quirk value="4" id="rinnegan">
            <name>Rinnegan</name>
            <playstyle> TODO </playstyle>
            <secret>
                <flavour>Rinnegan je považován za nejvznešenější dojutsu. Říká se, že v dobách nepořádku je ten, kdo ovládá Rinnegan, seslán z nebes, aby se stal buď „Bohem stvoření“, který uklidní svět nebo „Bůh zkázy“, který vše zredukuje na nicotu. Rinnegan se vyznačuje soustřednými kruhy pokrývajícími oko.  Rinnegan požaduje mimořádně silnou čakru a může dát obrovskou oční sílu, takže nehodný nositel riskuje, že se po implantaci „ztratí“. Jejich plnou sílu může projevit pouze jejich původní majitel, zvláště když ovládá obě oči, ale držení i jediného transplantovaného Rinnegana může stále poskytnout ohromující moc. Rinnegan je schopen vidět čakru a její proudění v těle i jinak neviditelné bariéry. Držení Rinneganu umožňuje snadno zvládnout jakékoli jutsu, stejně jako všech pět základních elementů. </flavour>
            </secret>
        </quirk>
        <!-- NOTE: Why is gyuki value 3 and kyuubi value 2-->
        <quirk value="3" id="gyuki">
            <name>Gyuki</name>
            <playstyle> TODO </playstyle>
            <secret>
                <flavour></flavour>
            </secret>
        </quirk>
        <quirk value="2" id="kyuubi">
            <name>Kyuubi</name>
            <playstyle> TODO </playstyle>
            <secret>
                <flavour></flavour>
            </secret>
        </quirk>
        <quirk value="4" id="six-paths-senjutsu">
            <name>Six paths senjutsu</name>
            <playstyle> TODO </playstyle>
            <secret>
                <flavour></flavour>
            </secret>
        </quirk>
    </quirk-list>



    <!-- ================ -->
    <!-- Definice technik -->

    <tree id="katon">
        <name>Ohnivý element</name>
    </tree>


    <tree id="bukijutsu">
        <name>Technika se zbraňemi</name>

        <technique level="1" id="buki1" type="taijutsu">
            <name>Silový trénink</name>
            <style ref="bukijutsu-style" />
            <public />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="weapon-length-increase" value="30" />
            </non-instant-passive>
        </technique>

        <technique level="2" id="buki2" type="taijutsu">
            <name>Silový trénink 2</name>
            <style ref="bukijutsu-style" />
            <public />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="weapon-length-increase" value="60" />
            </non-instant-passive>
        </technique>
    </tree>


    <tree id="goken">
        <name>Silná pěst</name>

        <technique level="1" id="goken1" type="taijutsu">
            <name>Silový trénink 3</name>
            <style ref="goken-style" />
            <public />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="weapon-length-increase" value="30" />
            </non-instant-passive>
        </technique>
    </tree>


    <tree id="hachimon">
        <name>Hachimon</name>
    </tree>


    <!-- <technique-list> -->
        <!-- <technique level="1" tree="goken" id="goken2">
            <name>Silový trénink 4</name>
            <style ref="goken-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="weapon-length-increase" value="60" />
            </non-instant-passive>
        </technique>

        <technique level="2" tree="goken" id="goken-kaimon">
            <name>Kaimon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="add-health-shadow" value="4" />
            </non-instant-passive>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty" base="1" />
                <action>
                    <action-numeric ref="action-stinove" value="4" />
                </action>
            </non-instant-active>
        </technique>

        <technique level="2" tree="hachimon" id="hachimon-kyuumon">
            <name>Kyuumon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="2" />
                <offensive combinable="true">
                    <hit-type ref="ruka" />
                    <battle-keyword ref="plus-1-dmg" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="2" tree="hachimon" id="hachimon-seimon">
            <name>Seimon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="2" />
                <defensive>
                    <hit-type ref="any" />
                    <battle-keyword ref="uhyb" />
                </defensive>
            </non-instant-active>
        </technique>

        <technique level="3" tree="hachimon" id="hachimon-shomon">
            <name>Shomon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="1" />
                <defensive>
                    <hit-type ref="any" />
                    <battle-keyword ref="uhyb" />
                </defensive>
            </non-instant-active>
        </technique>

        <technique level="3" tree="hachimon" id="hachimon-tomon">
            <name>Tomon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="1" />
                <offensive combinable="true">
                    <hit-type ref="ruka" />
                    <battle-keyword ref="plus-1-dmg" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="4" tree="goken" id="goken-omote-renge">
            <name>Omote Renge</name>
            <style ref="goken-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="2" />
                <offensive>
                    <hit-type ref="ruka" />
                    <battle-keyword ref="plus-2-dmg" />
                    <battle-keyword ref="odhozeni" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="4" tree="hachimon" id="hachimon-ura-renge">
            <name>Ura Renge</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-koncetina" base="1" />
                <offensive>
                    <hit-type ref="ruka" />
                    <battle-keyword ref="plus-3-dmg" />
                    <battle-keyword ref="odhozeni" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="5" tree="hachimon" id="hachimon-keimon">
            <name>Keimon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="add-stinova-koncetina" value="2" />
            </non-instant-passive>
        </technique>

        <technique level="5" tree="hachimon" id="hachimon-asa-kujaku">
            <name>Asa Kujaku</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="2" />
                <offensive>
                    <hit-type ref="ryze" />
                    <battle-keyword ref="plus-1-dmg" />
                    <battle-keyword ref="ochromeni" />
                </offensive>
            </non-instant-active>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="4" />
                <offensive>
                    <hit-type ref="ruka" />
                    <battle-keyword ref="plus-3-dmg" />
                    <battle-keyword ref="ochromeni" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="6" tree="hachimon" id="hachimon-kyomon">
            <name>Kyomon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="add-health-shadow" value="2" />
            </non-instant-passive>
            <non-instant-active>
                <cost-numeric ref="cost-koncetina" base="2" />
                <cost-numeric ref="cost-zivoty-any" base="1" />
                <action>
                    <action-numeric ref="action-stinove" value="4" />
                </action>
            </non-instant-active>
        </technique>

        <technique level="6" tree="hachimon" id="hachimon-hirudora">
            <name>Hirudora</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="2" />
                <offensive>
                    <hit-type ref="koule" />
                    <battle-keyword ref="roztristeni" />
                    <battle-keyword ref="roztristeni" />
                </offensive>
            </non-instant-active>
        </technique>

        <technique level="7" tree="hachimon" id="hachimon-shimon">
            <name>Shimon</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-passive>
                <attribute-change ref="add-stinova-koncetina" value="3" />
            </non-instant-passive>
            <non-instant-active>
                <cost-other ref="cost-sebevrazda" />
                <action>
                    <action-basic ref="action-oprav-koncetinu-self" />
                    <action-basic ref="action-oprav-koncetinu-self" />
                    <action-basic ref="action-oprav-koncetinu-self" />
                </action>
            </non-instant-active>
        </technique>

        <technique level="7" tree="hachimon" id="hachimon-night-guy">
            <name>Night Guy</name>
            <style ref="hachimon-style" />
            <flavour>
                TODO
            </flavour>
            <non-instant-active>
                <cost-numeric ref="cost-zivoty-any" base="10" />
                <offensive>
                    <hit-type ref="pohled" />
                    <battle-keyword ref="plus-4-dmg" />
                    <battle-keyword ref="plus-4-dmg" />
                    <battle-keyword ref="plus-1-dmg" />
                    <battle-keyword ref="roztristeni" />
                    <battle-keyword ref="roztristeni" />
                    <battle-keyword ref="roztristeni" />
                    <battle-keyword ref="roztristeni" />
                </offensive>
            </non-instant-active>
        </technique> -->

        <!-- ^^^ VYSE PSAT TECHNIKY ^^^ -->
        <!-- ========================== -->
        <!-- ========================== -->
        <!-- DEBUG -->
        <!-- <technique tree="katon" level="7" id="rasengan">
            <name>Rasengan</name>
        <style ref="ninpo" silent="true" />
            <flavour>Velká rotující koule chakry.</flavour>
            <instant-passive>
            <hit-type ref="ruka" />
            <hit-type ref="zbran" />
            <battle-keyword ref="odhozeni" />
            <battle-keyword ref="odhozeni" />
            </instant-passive>
            <instant-active>
            <hit-type ref="ruka" />
            <battle-keyword ref="odhozeni" />
            <cost-numeric ref="cost-chakra" base="1" />
            </instant-active>
            <instant-active>
            <hit-type ref="zbran" />
            <battle-keyword ref="odhozeni" />
            <cost-other ref="cost-zbran" />
            </instant-active>
            <non-instant-passive>
            <attribute-change ref="add-health" value="1" />
            <attribute-change ref="add-eyes" value="3" />
            </non-instant-passive>
            <non-instant-active>
            <cost-numeric ref="cost-pecet" base="5" />
            <cost-numeric ref="cost-chakra" base="1" overhead="2" />
            <limitation ref="limit-lv1" />
            <limitation ref="limit-chodit" />
                <action>
                <action-numeric ref="action-zamek" value="1" />
                <action-basic ref="action-oprav-koncetinu-other" />
                </action>
            </non-instant-active>
            <non-instant-active>
            <cost-numeric ref="cost-chakra" base="1" />
                <offensive>
                <hit-type ref="ruka" />
                <battle-keyword ref="odhozeni" />
                <battle-keyword ref="heslo-voda" />
                </offensive>
            </non-instant-active>
            <non-instant-active>
            <cost-numeric ref="cost-chakra" base="2" />
            <cost-numeric ref="cost-pecet" base="5" />
            </non-instant-active>
    </technique> -->
    <!--
                stackovani = multicast te same techniky (e.g. kloni)
                kombinovani = s ostatnimi technikami (tzn posilovani)
                repeat = znovu-spusteni techniky (plati se pouze instantni slozka ceny)

                YET ANOTHER BRAINSTORM:
                * aktivovane:
                    ^ seslani (cena)
                        ^ ceny muzou byt instantni, pokud technika ma jen instatni ceny
                          tak je technika instantni (tzn reaktivni)
                    ^ podminky ukonceni (nebo lze dobrovone ukoncit)
                    * nezasahove??jednorazove
                        * pasivni (unbounded choice)
                            ^ po ukonceni odemce zaplacenou cenu
                            * instant-passive
                            * davaji atribut (non-instant-passive)
                                ^ e.g. neviditelnost, vnimani, zivoty, chakra
                                ^ explicitne rozlisit e.g. "neviditelnost 2" a "neviditelnost +2"
                        * provedeni akce
                            ^ zaplacenou cenu odemkne hden po provedeni (tzn nezamyka pokud se neflakas)
                            * pasti
                            * zamky
                            * pecete ??
                            * vyroba zbrani
                            * oprava koncetiny
                            * leceni
                            * cteni/ovladani mysli - v tahovem kombatu, nebo spusti scenu
                            * teleportace - behem telepotrace jsem mimo hru
                    * zasahove
                        ^ vzdy se vztahuje na 1 zasah, kterym konci
                        ^ po zasahu odemkne zamcenou cenu za tento zasah
                        ^ je nutne pouzit jakmile to bude mozne
                          (kdyz jsem zasazen, *musim* pouzit uhyb)
                        * utocne techniky nelze stackovat ani kombinovat
                            ^ typ zasahu (vzdy ofensivni), hesla
                            ^ umozni mi udelat tento zasah (utok)
                            ? TODO: opakovani
                        * obrane techniky lze stackovat i kombinovat
                            ^ typ zasahu (vzdy defensivni), hesla
                            ^ pouze na zasahy ktere se mi stanou (stackovanim lze vice)
                        * posilujici techniky nelze stackovat, lze kombinovat
                            ^ typ zasahu (vzdy ofensivni), hesla
                            ^ pouze na zasahy ktere udelam bez ohledu na tuto techniku
                * pasivni techniky lze kombinovat (ale nejde je stackovat, nemaji cenu)
                    ^ nikdy se nesesilaji, nikdy nekonci, nemaji cenu
                    * zmena atributu - <non-instant-passive>
                        * TODO: modifikatory technik
                    * typ zasahu (libovolny), hesla - <instant-passive>
                        ^ pouze na zasahy ktere se mi stanou - do nekonecna
            -->
    <!-- </technique-list> -->
</database>
